Jump to content
UTM.SPACE community
admin

Utmcabinet V2.0 (Utm 5.2.1–008 +, 5.3)

v2.0  

51 members have voted

This poll is closed to new votes
  1. 1. Нужен ли новый кабинет?

    • да
    • нет
      0
    • меня устраивает стандартный
      0
    • используем свои разработки
      0


Recommended Posts

$retCode = $this->urfa->get_int();
if($retCode != 0)
   return;

просто вот код из стандартного кабинета от netup

Вероятнее всего подразумевается что должен быть возвращен 0. Сложно судить о том что должно быть без документации по возвращаемым параметрам.

Share this post


Link to post
Share on other sites

Однако... С документацией у УТМ конечно не все гладко... 

Подскажите, а есть у кого модуль оплаты через яндекс.кассы ?

Share this post


Link to post
Share on other sites

Добрый день, появилась идея сделать акцию в ЛК, мной был нарисован слайдер,

 Подскажите как его встроить в ЛК, при копировании html,css,js ползунок от рисовывается не корректно, похоже что jquery ui не подключается. 

Share this post


Link to post
Share on other sites

https://bitbucket.org/darang/utm5cabinet_5.3/src/a7705095ea8fa9058ec07205d7059b89cce2f222/application/layouts/default.phtml?at=5.3.4
Вот эта строка должна подключать его

    <?php echo $this->jQuery()->uiEnable(); ?>

Или можете сами подключать скрипты, там же немного выше
 

    <?php echo $this->headScript()
        ->appendFile('/assets/js/jquery/jquery.min.js')

 

Share this post


Link to post
Share on other sites

Попробовал добавить Js с codepen.io, 

 <?php echo $this->headScript()
        ->appendFile('/assets/js/jquery/jquery.min.js')

В итоге ничего не поменялось... в консоле браузера Uncaught TypeError: $(...).slider is not a function.

 

45345.png

Share this post


Link to post
Share on other sites
jquery.js

Не подключен значит

Хотя нет, не подключен скрипт слайдера или он подключен раньше jquery

Share this post


Link to post
Share on other sites
17 часов назад, admin сказал:

jquery.js

Не подключен значит

Хотя нет, не подключен скрипт слайдера или он подключен раньше jquery

Да видимо "не правильно/не туда вставляю" сам скрипт, правильно я понимаю, что можно сам js вставить в change-tarrif.phtml? 

Могу выложить интеграцию со сбербанк - эквайринг, если кто то заинтересован,  есть у кого то пример восстановления пароля с помощью смс. Или какие нибудь бандл решения "Интернет+что то".

Share this post


Link to post
Share on other sites
1 минуту назад, starter сказал:

Да видимо "не правильно/не туда вставляю" сам скрипт, правильно я понимаю, что можно сам js вставить в change-tarrif.phtml?

конечно

Share this post


Link to post
Share on other sites

По Вашему примеру подключил так.

<?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-1.11.0.min.js') ; ?>

<?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-ui.min.js') ; ?>

  <?php echo $this->jQuery()->uiEnable(); ?>

 


 

Share this post


Link to post
Share on other sites

В итоге получилось корректно отобразить слайдер только скопировав текст js из ajax.googleapis.com/ajax/libs/jqueryui/1/jquery-ui.min.js в /assets/js/jquery/jquery.min.js, так и не понял почему не подхватывалось с помощью

 <?php echo $this->headScript()
        ->appendFile('/assets/js/jqueryUI/jquery-ui.min.js') ; ?>

Share this post


Link to post
Share on other sites

bitbucket.org не работает, можно выложить версию для новой сборки куда-то? 

Share this post


Link to post
Share on other sites

Ребят utm5-3.005 update1 кабинет взял последний 5.3.4, PHP Version 7.0.30-0+deb9u1, OpenSSL 1.1.0f 25 May 2017,  mysql  Ver 15.1 Distrib 10.1.26-MariaDB, for debian-linux-gnu (x86_64) using readline 5.2, при попытки авторизоваться в личный кабинет, в error.log апача падает PHP Notice:  fwrite(): send of 12 bytes failed with errno=32 Broken pipe in /var/www/library/Urfa/Socket.php on line 70 и в кабинете Ошибка авторизации. Не верная пара логин-пароль подскажите куда копать? на убунту 16.04 все работало, пора обновляться полностью. И вот такая штука. Заранее спасибо.

Share this post


Link to post
Share on other sites

Спасибо, изврат былин со стороны нетапа, выпустить выпустили под Debian 9, а Openssl 1.1 не поддерживают, libssl старый накатывать пришлось что бы rfw заработал, а кабинет оказывается тоже не может.

Share this post


Link to post
Share on other sites

Вышло обновление, и похоже ушли от использования sslv3 на debian 9 со стандартным опенссл 1.1.1t все пошло как надо, только вот кабинет нет, стандартный кабинет работает, вот ссылка на стандартный кабинет прошу помощи. Что бы и ваш кабинетик заработал https://yadi.sk/d/pRycpA523ZwMY6 а то сейчас в логах RPC2Connection: [SSL]<bu72wd@127.0.0.1>SSL connection failed (4), system errno <0>

Share this post


Link to post
Share on other sites

Версия 5.3-005-update2-debian_stretch_x64, личный кабинет работает в целом, но:

1. На странице свойств услуги - пусто.

2. На странице изменений данных пользователя заполняю домашний телефон, мобильный, e-mail. Ставлю чекбокс "подтвердить", нажимаю "отправить" - ничего не происходит. Нажимаю еще раз - пишет - данные изменены, но. При повторном редактировании данных - телефоны есть, e-mail пуст. Хотя в базу пишется, в админке видно.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...